{% extends "base.html" %}
{% block content %}
<div class="centered">
  <form action="" method="post" class="control_group">
    {{ form.hidden_tag() }}
    <fieldset>
      <legend>Register an employee</legend>
      <table class="input_form_table">
        <tr>
          <td>{{ form.email.label() }}</td><td>
          {% if form.email.errors %}
              {{ form.email() }}
              {% for error in form.email.errors %}
                  <br>
                  <span>{{ error }}</span>
              {% endfor %}
          {% else %}
              {{ form.email() }}
          {% endif %}
          </td>
        </tr>
        <tr>
          <td>{{ form.name.label() }}</td><td>
          {% if form.name.errors %}
              {{ form.name() }}
              {% for error in form.name.errors %}
                  <br>
                  <span>{{ error }}</span>
              {% endfor %}
          {% else %}
              {{ form.name() }}
          {% endif %}
          </td>
        </tr>
        <tr>
          <td>{{ form.surname.label() }}</td><td>
          {% if form.surname.errors %}
              {{ form.surname() }}
              {% for error in form.surname.errors %}
                  <br>
                  <span>{{ error }}</span>
              {% endfor %}
          {% else %}
              {{ form.surname() }}
          {% endif %}
          </td>
        </tr>
        <tr>
          <td>{{ form.position.label() }}</td><td>
          {% if form.position.errors %}
              {{ form.position() }}
              {% for error in form.position.errors %}
                  <br>
                  <span>{{ error }}</span>
              {% endfor %}
          {% else %}
              {{ form.position() }}
          {% endif %}
          </td>
        </tr>
        <tr>
          <td>{{ form.rank.label() }}</td><td>
          {% if form.rank.errors %}
              {{ form.rank() }}
              {% for error in form.rank.errors %}
                  <br>
                  <span>{{ error }}</span>
              {% endfor %}
          {% else %}
              {{ form.rank() }}
          {% endif %}
          </td>
        </tr>
        <tr>
          <td>{{ form.salary.label() }}</td><td>
          {% if form.salary.errors %}
              {{ form.salary() }}
              {% for error in form.salary.errors %}
                  <br>
                  <span>{{ error }}</span>
              {% endfor %}
          {% else %}
              {{ form.salary() }}
          {% endif %}
          </td>
        </tr>
        <tr>
          <td>{{ form.department.label() }}</td><td>
          {% if form.department.errors %}
              {{ form.department() }}
              {% for error in form.department.errors %}
                  <br>
                  <span>{{ error }}</span>
              {% endfor %}
          {% else %}
              {{ form.department() }}
          {% endif %}
          </td>
        </tr>
        <tr>
          <td>{{ form.password.label() }}</td><td>
          {% if form.password.errors %}
              {{ form.password() }}
              {% for error in form.password.errors %}
                  <br>
                  <span>{{ error }}</span>
              {% endfor %}
          {% else %}
              {{ form.password() }}
          {% endif %}
          </td>
        </tr>
        <tr>
          <td>{{ form.confirm_password.label() }}</td><td>
          {% if form.confirm_password.errors %}
              {{ form.confirm_password() }}
              {% for error in form.confirm_password.errors %}
                  <br>
                  <span>{{ error }}</span>
              {% endfor %}
          {% else %}
              {{ form.confirm_password() }}
          {% endif %}
          </td>
        </tr>
      </table>
    </fieldset>
    {{ form.submit() }}
  </form>
  <small>
    If you already have an account, you may <a href="{{ url_for('login') }}">log in</a>
  </small>
</div>
{% endblock content %}
